The new JRE 7 does not run with SmartPLS

Report and discuss bugs of SmartPLS 2. To report bugs of the new SmartPLS 3 software, create a ticket in our helpdesk.
User avatar
cringle
SmartPLS Developer
Posts: 796
Joined: Tue Sep 20, 2005 9:13 am
Real name and title: Prof. Dr. Christian M. Ringle
Location: Hamburg (Germany)
Contact:

The new JRE 7 does not run with SmartPLS

Post by cringle » Thu Oct 20, 2011 3:24 pm

Hi everyone

SmartPLS 2.0 requires Java Runtime Environment (JRE) update 29 (IMPORTANT: 32 bit version!).

This software can be obtained (free of charge) for the computer operating systems Windows, Linux and Solaris.

PLEASE NOTE: SmartPLS 2 does not work with later version (e.g., JRE 7)!!! Everything was working fine including JRE 6 (version 29). However, Java's latest release, JRE 6 (version 31) and JRE 7, causee incompatibility problems with SmartPLS 2. When your bug report (approx. line 3) includes

"java.version=1.6.31"
or
"java.version=1.7.0",

then JRE 6 (version 31) or JRE 7 cause the problems (java.version=1.6.29 and earlier work fine with SmartPLS 2).

What are the solutions?



Solution 1

Just uninstall JRE 7 and install the JRE 6 update 29 (32 bit).
You find JRE 6 update 29 here: http://www.oracle.com/technetwork/java/ ... 13650.html


If you want to use JRE 7 and SmartPLS you need to keep (or also install) JRE 6 (update 29) on your system. If you already have JRE 6 (update 29, 32 bit) on your hard drive, you can use it for running SmartPLS. You have two other options:


Solution 2 (RECOMMENDED SOLUTION)

Copy JRE 6 (update 29) into the SmartPLS folder to automatically use it on every SmartPLS 2 start.

Step 1: Identify the path to your JRE 6 (update 29, 32 bit) installation (e.g., c:\Program Files (x86)\Java\jre6\bin\javaw.exe) or, if not available, install before JRE 6 update 29 (see solution 1; http://www.oracle.com/technetwork/java/ ... 13650.html).

Step 2: Copy the content of the JRE 6 update 29 (32 bit) folder

Step 3: Identify the SmartPLS installation folder (e.g., c:\Program Files (x86)\SmartPLS)

Step 4: Create a JRE folder in the SmartPLS installation folder (e.g., c:\Program Files (x86)\SmartPLS\jre)

Step 5: Paste the content of the JRE 6 update 29 (32 bit) folder files into the jre folder in your SmartPLS installation (e.g., into c:\Program Files (x86)\SmartPLS\jre)

Then, SmartPLS should automatically use JRE 6 (update 29) on every start.



Solution 3

Use an already existing JRE 6 update 29, 32 bit (http://www.oracle.com/technetwork/java/ ... 13650.html) installation by adding a smartpls.ini to your SmartPLS 2 folder.

Step 1: Identify the path to your JRE 6 update 29 (32 bit) installation (e.g., c:\Program Files (x86)\Java\jre6\bin\javaw.exe) and copy the path.

Step 2: Open a text editor program (e.g., text pad) and write the following rows:
-vm
c:\Program Files (x86)\Java\jre6\bin\javaw.exe

The second row is the path to your javaw.exe in your JRE 6 update 29 (32 bit) folder from step 1 and may be different in your specific case (installation folder of JRE 6).

Step 3: Save the file as
smartpls.ini
in your SmartPLS 2 program folder (e.g., c:\Program Files (x86)\SmartPLS)

Then, SmartPLS should automatically use JRE 6 pdate 29 (32 bit) on every start.



We hope that things will continue to work!

Best regards
Christian Ringle

vonbergh
PLS Expert User
Posts: 60
Joined: Tue Jan 26, 2010 10:06 pm
Real name and title:

Post by vonbergh » Thu Oct 27, 2011 11:17 pm

Thank you Christian, your solution #1 in combination to solution #3 worked well for me on Win7 64bit running with Bootcamp on an iMac (27in).

How did I manage?
1. Installed Win7 on iMac using Bootcamp
2. Updated Win7
3. Installed Java SE "Windows x86 Offline" (jre-6u29-windows-i586.exe) (solution #1)
4. Made the SmartPLS.ini file (solution #3)

May I suggest to add a comment and a link to this thread on the download page?

All the best,
Dennis

User avatar
cringle
SmartPLS Developer
Posts: 796
Joined: Tue Sep 20, 2005 9:13 am
Real name and title: Prof. Dr. Christian M. Ringle
Location: Hamburg (Germany)
Contact:

Post by cringle » Fri Oct 28, 2011 1:02 pm

Thanks Dennis!!!- that's the way how the forum should work. This information is highly valuable to us since no one in the SmartPLS team ever touched an Apple product :)

Cheers
Christian

vonbergh
PLS Expert User
Posts: 60
Joined: Tue Jan 26, 2010 10:06 pm
Real name and title:

Post by vonbergh » Fri Oct 28, 2011 8:26 pm

Dear Christian,

Thank you for your compliment. It is a pleasure sharing the solving of my frustration with you and the readers of the forum. My frustration was that the bootstrap procedure for my complex model did not pass 460 samples on my (old) windows. I wanted to run it on my big screen iMac so I could run the analysis and type the results. I have made some adjustments to the earlier described procedure and now I have SmartPLS running in MACOSX 10.6.8 (Snow Leopard) under Windows 7 Ultimate 64bit with Bootcamp 3.0.4 and Parallels Desktop 7 on an iMac 27in (Fall 2009). It would not surprise me if the following procedure will work for other Mac's:

1. Install Win7 on iMac using Bootcamp
2. For iMac 27 inch owners it is helpful to check the following link to deal with the black screen following the installing of Win7: http://klauskjeldsen.dk/boot-camp-imac- ... ck-screen/ or http://support.apple.com/kb/TS3173 (I used Klaus' procedure; thank you Klaus)
3. Update Win7
4. Install Java SE "Windows x86 Offline" (jre-6u29-windows-i586.exe) (solution #1)
5. Install the SmartPLS program
6. Make the SmartPLS.ini file (solution #3)
7. To make sure your iMac continues to start in MACOSX: in MACOSX: System Preferences > Startup Disk and select OS X.

Now you can run SmartPLS using Bootcamp, however you can also run SmartPLS virtual in MACOSX. It is as if SmartPLS is running in MACOSX and no doubt this will make many Apple lovers very happy:

8. Install Parallels (this makes it possible to run SmartPLS from within MACOSX !)
cringle wrote:no one in the SmartPLS team ever touched an Apple product :)
What a pity ;-) but Win7 looks pretty neat too.

Good luck to you all and all the best,
Dennis

vonbergh
PLS Expert User
Posts: 60
Joined: Tue Jan 26, 2010 10:06 pm
Real name and title:

Post by vonbergh » Fri Oct 28, 2011 8:33 pm

Dear Christian,

Thank you for your compliment. It is a pleasure sharing the solving of my frustration with you and the readers of the forum. My frustration was that the bootstrap procedure for my complex model did not pass 460 samples on my (old) windows. I wanted to run it on my big screen iMac so I could run the analysis and type the results. I have made some adjustments to the earlier described procedure and now I have SmartPLS running in MACOSX 10.6.8 (Snow Leopard) under Windows 7 Ultimate 64bit with Bootcamp 3.0.4 and Parallels Desktop 7 on an iMac 27in (Fall 2009). It would not surprise me if the following procedure will work for other Mac's:

1. Install Win7 on iMac using Bootcamp
2. For iMac 27 inch owners it is helpful to check the following link to deal with the black screen following the installing of Win7: http://klauskjeldsen.dk/boot-camp-imac- ... ck-screen/ or http://support.apple.com/kb/TS3173 (I used Klaus' procedure; thank you Klaus)
3. Update Win7
4. Install Java SE "Windows x86 Offline" (jre-6u29-windows-i586.exe) (solution #1)
5. Install the SmartPLS program
6. Make the SmartPLS.ini file (solution #3)
7. To make sure your iMac continues to start in MACOSX: in MACOSX: System Preferences > Startup Disk and select OS X.

Now you can run SmartPLS using Bootcamp, however you can also run SmartPLS virtual in MACOSX. It is as if SmartPLS is running in MACOSX and no doubt this will make many Apple lovers very happy:

8. Install Parallels (this makes it possible to run SmartPLS from within MACOSX !)
cringle wrote:no one in the SmartPLS team ever touched an Apple product :)
What a pity ;-) but Win7 looks pretty neat too.

Good luck to you all and all the best,
Dennis

User avatar
cringle
SmartPLS Developer
Posts: 796
Joined: Tue Sep 20, 2005 9:13 am
Real name and title: Prof. Dr. Christian M. Ringle
Location: Hamburg (Germany)
Contact:

Post by cringle » Fri Oct 28, 2011 8:54 pm

... Yes, and Linux is really beautiful (check out Ubunto for example). Upps, I forgot that Apple has a harcore linux system under its hood :)

Ad max. # of bootstraps: Java uses a default memory size which you can expand!

viewtopic.php?t=866

viewtopic.php?t=370

Cheers
Christian

ktmadu
PLS Junior User
Posts: 1
Joined: Tue Jul 28, 2009 11:57 am
Real name and title:

SmartPLS is not working on my new computer

Post by ktmadu » Wed Feb 08, 2012 7:12 pm

Hi,
I bought a new computer with an operational system Windows 7 Home Preumin and it came with Java 7. I read this topic and I followed the step 1, 2 and 3, but SmartPLS still not working and report a huge text about the problem. The five firts line form the report are:

eclipse.buildId=unknown
java.version=1.6.0_29
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=pt_BR
Command-line arguments: -os win32 -ws win32 -arch x86

Anyone has anyidea why this is happenig?

I tried to got help from the Dell suport, but they don't know why it is happening.

Thanks in advance,
Kamila

User avatar
cringle
SmartPLS Developer
Posts: 796
Joined: Tue Sep 20, 2005 9:13 am
Real name and title: Prof. Dr. Christian M. Ringle
Location: Hamburg (Germany)
Contact:

Post by cringle » Wed Feb 08, 2012 7:37 pm

Hi

"java.version=1.6.0_29 "

tells you that you use the correct JRE version (which is 6).

There must be another source of problem (activation? etv.).

Please send a mail with detailled information and the log file to Sven Wende, Jan-Michael Becker and me.

Maybe we find a solution.

Best
CR

riza.azmi
PLS Junior User
Posts: 1
Joined: Wed Sep 30, 2009 2:17 am
Real name and title:

Post by riza.azmi » Thu May 03, 2012 10:27 am

Solution No.2 work very nice. Thank you professor.
Simple Thing Should be Simple Complex Thing Should be Possible

User avatar
swende
SmartPLS Developer
Posts: 105
Joined: Mon Sep 26, 2005 10:34 am
Real name and title: Dipl. Wi-Inf. Sven Wende
Location: Hamburg (Germany)

Solution 4

Post by swende » Wed May 09, 2012 10:05 pm

I added a special version of SmartPLS (for Windows only) in the download section that already includes a proper java runtime. Give it a try, if you get stuck with the other solutions.
Sven Wende, SmartPLS Developer

LUSIANA KUSNADI
PLS Junior User
Posts: 1
Joined: Sun Apr 15, 2012 5:37 pm
Real name and title:

complain

Post by LUSIANA KUSNADI » Fri May 11, 2012 4:57 pm

Sorry, smartpls I downloaded the software could not be activated. Whereas, JRE7 I've downloaded. but still can not run. According to the delivered solution, if I was to download JRE6. After I downloaded it, still can't. Please help and effective solutions. Thanks
Sayang mama, ayah, mila dan kahfi

User avatar
cringle
SmartPLS Developer
Posts: 796
Joined: Tue Sep 20, 2005 9:13 am
Real name and title: Prof. Dr. Christian M. Ringle
Location: Hamburg (Germany)
Contact:

Post by cringle » Sun May 13, 2012 7:50 am

Hi

Please try solution 2 or check the new download (that inclided JAVA) in the download section.

Best
Christian

Hanno32
PLS Junior User
Posts: 1
Joined: Sat Jan 08, 2011 10:09 pm
Real name and title:

solution #1 worked fine.

Post by Hanno32 » Mon May 28, 2012 12:43 pm

Hi,

Solution no.1 worked fine with a

WinXP, SP3, updated Java 7

deinstalled Java, installed your given link Java 6, reinstalled smartpls, everything automatically reconfigured, everything works again.

Thanks to the given solutions my heartattack went over. ;-)

Deirdre
PLS Junior User
Posts: 3
Joined: Wed Apr 08, 2009 5:13 pm
Real name and title:

Post by Deirdre » Thu Jun 14, 2012 10:28 am

There is no longer a 32 bit version of the Java 6 update on the link that you provide Christian. I've tried all the above suggestions and still can't get Smart PLS to work when I download it - has anyone any solutions??

Many thanks,
Deirdre

User avatar
cringle
SmartPLS Developer
Posts: 796
Joined: Tue Sep 20, 2005 9:13 am
Real name and title: Prof. Dr. Christian M. Ringle
Location: Hamburg (Germany)
Contact:

Post by cringle » Thu Jun 14, 2012 11:44 am

Should still be available.

However, why don't you try the SmartPLS download with the Java JRE "embedded"?
--> see download or click on this link:
downloads/smartpls/smartpls_2.0.M3_win3 ... ng_jre.zip

Best
CR

Post Reply